Skip to main content
POST
Spec Create From Wsdl

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'

Body

Create a spec from a WSDL URL. File uploads use multipart on the same route.

url
string | null
port
string | null

SOAP port id (service/port) or port name. Required when the WSDL has more than one SOAP port.

auth
SoapAuthData · object
global_spec
boolean
default:false
shared_security_info
boolean
default:false
create_mcp
boolean
default:false
generate_llm_summary
boolean
default:true

Response

Successful Response